LibreOffice: PrintSettings Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
PrintSettings Service Referencepublished

provides access to the settings for printing documents. More...

## Public Attributes
boolean | PrintBlackFonts
| If `TRUE`, all characters are printed in black.
boolean | PrintControls
| If `TRUE`, control shapes are included in printing.
boolean | PrintDrawings
| If `TRUE`, drawing objects (shapes) are included in printing.
boolean | PrintGraphics
| If `TRUE`, graphic objects are included in printing.
boolean | PrintLeftPages
| If `TRUE`, left pages are included in printing.
boolean | PrintRightPages
| If `TRUE`, right pages are included in printing.
boolean | PrintTables
| If `TRUE`, tables are included in printing.
boolean | PrintReversed
| If `TRUE`, the pages are printed in reverse order.
boolean | PrintProspect
| If `TRUE`, the pages are printed in the order of prospects.
boolean | PrintPageBackground
| If `TRUE`, the background of the page is printed.
short | PrintAnnotationMode
| determines how annotations are printed.

## Detailed Description

provides access to the settings for printing documents.

These settings are printer independent but affect the rendering of the document.

## Member Data Documentation

## ◆ PrintAnnotationMode

short PrintAnnotationMode
| property

determines how annotations are printed.

See also
  NotePrintMode

## ◆ PrintBlackFonts

boolean PrintBlackFonts
| property

If `TRUE`, all characters are printed in black.

It is useful for printing colored text on a b/w printer.

## ◆ PrintControls

boolean PrintControls
| property

If `TRUE`, control shapes are included in printing.

## ◆ PrintDrawings

boolean PrintDrawings
| property

If `TRUE`, drawing objects (shapes) are included in printing.

## ◆ PrintGraphics

boolean PrintGraphics
| property

If `TRUE`, graphic objects are included in printing.

## ◆ PrintLeftPages

boolean PrintLeftPages
| property

If `TRUE`, left pages are included in printing.

## ◆ PrintPageBackground

boolean PrintPageBackground
| property

If `TRUE`, the background of the page is printed.

## ◆ PrintProspect

boolean PrintProspect
| property

If `TRUE`, the pages are printed in the order of prospects.

## ◆ PrintReversed

boolean PrintReversed
| property

If `TRUE`, the pages are printed in reverse order.

The last page is printed first.

## ◆ PrintRightPages

boolean PrintRightPages
| property

If `TRUE`, right pages are included in printing.

## ◆ PrintTables

boolean PrintTables
| property

If `TRUE`, tables are included in printing.

The documentation for this service was generated from the following file:

- com/sun/star/view/PrintSettings.idl